RestApiModeloDDD.Presentation/Models/ErrorViewModel.cs
using System;

namespace RestApiModeloDDD.Presentation.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

RestApiModeloDDD.Presentation/Controllers/EmpresaController.cs
using Microsoft.AspNetCore.Mvc;
using RestApiModeloDDD.Application.DTOs;
using RestApiModeloDDD.Application.Interfaces;

namespace RestApiModeloDDD.Presentation.Controllers
{
    public class EmpresaController : Controller
    {
        private readonly IApplicationServiceEmpresa _service;
        public EmpresaController(IApplicationServiceEmpresa applicationService)
        {
            _service = applicationService;
        }
  
        public ActionResult Index()
        {
            var empresas = _service.GetAll();
            return View(empresas);
        }

        [HttpGet]
        public ActionResult Create()
        {
            EmpresaDTO empresa = new EmpresaDTO();
            return View(empresa);
        }

        [HttpPost]
        public ActionResult Create(EmpresaDTO empresa)
        {
            _service.Add(empresa);
            return RedirectToAction("Index");
        }

        [HttpGet]
        public ActionResult Edit(int id)
        {
            var empresa = _service.GetById(id);
            return View(empresa);
        }

        [HttpPost]
        public ActionResult Edit(EmpresaDTO empresa)
        {
            _service.Update(empresa);
            return RedirectToAction("Index");
        }

        [HttpGet]
        public ActionResult Delete(int id)
        {
            var empresa = _service.GetById(id);
            return View(empresa);
        }

        [HttpPost]
        public ActionResult Delete(EmpresaDTO empresa)
        {
            _service.Remove(empresa);
            return RedirectToAction("Index");
        }        
    }
}

RestApiModeloDDD.Presentation/Controllers/FastEscovaController.cs
using Microsoft.AspNetCore.Mvc;

namespace RestApiModeloDDD.Presentation.Controllers
{
    public class FastEscovaController : Controller
    {
        public IActionResult RespostasHTML()
        {
            return View();
        }
        public IActionResult RespostasSQL()
        {
            return View();
        }
        public IActionResult RespostasTeoricas()
        {
            return View();
        }
        public IActionResult RespostasLogicas()
        {
            return View();
        }
    }
}

RestApiModeloDDD.Presentation/Controllers/HomeController.cs
using System.Diagnostics;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using RestApiModeloDDD.Presentation.Models;

namespace RestApiModeloDDD.Presentation.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }    

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

RestApiModeloDDD.Presentation/Views/Empresa/Create.cshtml
@model RestApiModeloDDD.Application.DTOs.EmpresaDTO

@{
    ViewData["Title"] = "Cadastrar";
}

<br/>

<h5>Cadastrar empresa</h5>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Nome" class="control-label"></label>
                <input asp-for="Nome" class="form-control" />
                <span asp-validation-for="Nome" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="QuantidadeFuncionarios" class="control-label"></label>
                <input asp-for="QuantidadeFuncionarios" class="form-control" />
                <span asp-validation-for="QuantidadeFuncionarios" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Site" class="control-label"></label>
                <input asp-for="Site" class="form-control" />
                <span asp-validation-for="Site" class="text-danger"></span>
            </div>
            <div class="form-group">
                <a class="btn btn-outline-primary btn-sm" asp-action="Index">Voltar</a>
                <input type="submit" value="Cadastrar" class="btn btn-primary btn-sm" />
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

RestApiModeloDDD.Presentation/Views/Empresa/Delete.cshtml
@model RestApiModeloDDD.Application.DTOs.EmpresaDTO

@{
    ViewData["Title"] = "Detelar";
}

<h6>Deseja excluir @Html.DisplayFor(model => model.Nome)?</h6>
<div>
    <hr />
    <dl class="row">      
 
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Nome)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Nome)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Site)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Site)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <a class="btn btn-outline-primary btn-sm" asp-action="Index">Voltar</a>
        <input type="submit" value="Deletar" class="btn btn-danger btn-sm" />
    </form>
</div>

RestApiModeloDDD.Presentation/Views/Empresa/Edit.cshtml
@model RestApiModeloDDD.Application.DTOs.EmpresaDTO

@{
    ViewData["Title"] = "Editar";
}

<h4>Editar empresa</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>          
            <div class="form-group">
                <label asp-for="Nome" class="control-label"></label>
                <input asp-for="Nome" class="form-control" />
                <span asp-validation-for="Nome" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Site" class="control-label"></label>
                <input asp-for="Site" class="form-control" />
                <span asp-validation-for="Site" class="text-danger"></span>
            </div>
            <div class="form-group">
                <a class="btn btn-outline-primary btn-sm" asp-action="Index">Voltar</a>
                <input type="submit" value="Salvar" class="btn btn-primary btn-sm" />
            </div>
        </form>
    </div>
</div>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

RestApiModeloDDD.Presentation/Views/Empresa/Index.cshtml
@{
    ViewData["Title"] = "Empresas";
}
<br />
<div class="text-right">
    <a class="btn btn-primary" asp-area="" asp-controller="Empresa" asp-action="Create">Nova empresa</a>

</div>
<br />
<table class="table">
    <thead>
        <tr>
            <th scope="col">Empresa</th>
            <th scope="col">Site</th>
            <th scope="col">Qt. Funcionários</th>
            <th scope="col" style="text-align:right">Opções</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>@item.Nome</td>
                <td>@item.Site</td>
                <td>@item.QuantidadeFuncionarios</td>
                <td style="text-align:right">
                    <a class="btn btn-primary btn-sm" asp-controller="Empresa" asp-action="Edit" asp-route-id="@item.Id">
                        Editar
                    </a>
                    <a class="btn btn-danger btn-sm" asp-controller="Empresa" asp-action="Delete" asp-route-id="@item.Id">
                        Deletar
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>

RestApiModeloDDD.Presentation/Views/FastEscova/RespostasHTML.cshtml
@{
    ViewData["Title"] = "Respostas do teste";
}
<h6>HTML, CSS e Bootstrap </h6>
<br />
<div style="margin-bottom: 20px;">
    <p>1. Escreva um HTML login form com o id "login" que contenha:</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        < form id="login" >
        <br />< div asp-validation-summary="ModelOnly" class="text-danger" >< /div >
        <br />< div class="form-group" >
        <br />< label asp-for="email" class="control-label" >< /label >
        <br />< input asp-for="email" class="form-control" / >
        <br />< span asp-validation-for="email" class="text-danger" >< /span >
        <br />< /div >
        <br />< div class="form-group" >
        <br />< label asp-for="password" class="control-label" >< /label >
        <br />< input asp-for="password" class="form-control" / >
        <br />< span asp-validation-for="password" class="text-danger" >< /span >
        <br />< /div >
        <br />< div class="form-group" >
        <br />< input type="submit" value="Enviar" class="btn btn-success" / >
        <br />< /div >
        <br />< /form >
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>2. O seguinte elemento é baseado no Bootstrap:</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]< a href="#" class="btnbtn-info" >Info< /a>
        <br />[     ]< button type="button" class="btnbtn-blue" >Info< /button>
        <br />[     ]< button type="button" class="btn blue" >Info< /button>
        <br /><strong>[   x  ]< button type="button" class="btn btn-info" >Info< /button></strong>
        <br />[     ]< button type="button" class="blue button" >Info< /button>

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>3. O que significa HTML?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]Hyperlinks andText Markup Language
        <br />[     ]Home Tool Markup Language
        <br /><strong>[  x   ]HyperText Markup Language</strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>4. Escolha a tag HTML que representa o maior título.</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]< heading >
        <br /><strong>[  x   ]< h1 ></strong>
        <br />[     ]< h6 >
        <br />[     ]< head >
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>5. Qual o melhor caminho para adicionar um cor de fundo em HTML?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        <strong>[   x  ]< body style ="background-color:yellow;" ></strong>
        <br />[     ]< background >yellow< /background >
        <br />[     ]< body background="yellow" >
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>6. Qual o HTML correto para inserir uma imagem?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]< imgsrc="image.gif" alt="MyImage" >
        <br />[     ]< image src="image.gif" alt="MyImage" >
        <br />[     ]< img alt="MyImage" >image.gif< /img>
        <br />[     ]< img href="image.gif" alt="MyImage" >

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>7. Em um documento HTML, qual o local correto para referenciar um CSS externo?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]No topo do documento
        <br />[     ]No fim do documento
        <br />[     ]Na seção< body >
        <br /><strong>[  x   ]Na seção< head ></strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>8. Como adicionar uma cor de fundo em todos elementos < h1 > usando CSS?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]h1.all {background-color:#FFFFFF;}
        <br />[     ]all.h1 {background-color:#FFFFFF;}
        <br /><strong>[  x   ]h1 {background-color:#FFFFFF;}</strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>
        Como exibir uma borda de acordo com os dados abaixo:
    </p>
    <p>Borda superior = 10 pixels
    <br />Borda inferior = 5 pixels
    <br />Borda esquerda = 20 pixels
    <br />Borda direita = 1 pixel</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]border-width:5px 20px 10px 1px;
        <br /><strong>[  x   ]border-width:10px 5px 20px 1px;</strong>
        <br />[     ]border-width:10px 1px 5px 20px;
        <br />[     ]border-width:10px 20px 5px 1px;
    </div>
</div>

RestApiModeloDDD.Presentation/Views/FastEscova/RespostasLogicas.cshtml
@{
    ViewData["Title"] = "Respostas do teste";
}
<h6>Lógica </h6>
<br />
<div style="margin-bottom: 20px;">
    <p>
    1. Quantos anos tem João se, daqui há 38 anos, ele vai ser 3 vezes mais velho do que é hoje? 
    </p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]13
        <br />[     ]17
        <br /><strong>[ x    ]19</strong>
        <br />[     ]21
        <br />[     ]24
        <br />[     ]38
    </div>
</div>
<br />
<div style="margin-bottom: 20px;">
    <p>
        2.João comeu metade das maçãs que ele tinha. Depois disso, ele deu 2 maçãs para sua irmã Maria, que o deixou com apenas 3 maçãs.
        Quantas maçãs João teve antes de tudo isso?
    </p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]5
        <br />[     ]6
        <br />[     ]7
        <br />[     ]8
        <br />[     ]9
        <br /><strong>[ x    ]10</strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>
        3. Irmão e irmã estão comendo uma barra de chocolate. Quanto tempo é necessário para eles comerem o chocolate se o irmão sozinho iria comê-lo em 4 min e a irmã sozinha iria comê-lo em 6 min?
    </p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]2 min 24 sec
        <br />[     ]0 min 25 sec
        <br />[     ]2 min 0 sec
        <br />[     ]2 min 15 sec
        <br />[     ]3 min 0 sec
        <br />[     ]10 min 0 sec
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>
        4. Como declarar e instanciar um objeto do tipo Carro?
    </p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]Carro = Carro( );
        <br /><strong>[   x  ]Carro carro = new Carro( )</strong>;
        <br />[     ]Carro carro = new Carro{ };
        <br />[     ]Carro carro = Carro( );
        <br />[     ]Carro = new Carro{ };
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>
        5. Como converter a string “8” para um número inteiro e armazenar na variável num do tipo int?
    </p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]num = “8”.ToInt();
        <br />[     ]num = “8”(int);
        <br />[     ]num = “8”.ToInt32();
        <br />[     ]num = Convert.ToInt(“8”);
        <br /><strong>[  x   ]num = Convert.ToInt32(“8”);</strong>
    </div>
</div>

RestApiModeloDDD.Presentation/Views/FastEscova/RespostasSQL.cshtml
@{
    ViewData["Title"] = "Respostas do teste";
}
<h6>SQL </h6>
<br />
<div style="margin-bottom: 20px;">
    <p>1. Uma tabela contendo o registro “year” tem dados incorretos nos registros com ids entre 20 e 100.Selecione todas as consultas abaixo que, para os registros defeituosos, definir o ano de 2015.</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]UPDATE enrollments SET year = 2015 WHERE id IN (20, 100);
        <br />[     ]UPDATE enrollments SET year = 2015 WHERE id >= 20 AND id <= 100;
        <br />[     ]UPDATE enrollments SET year = 2015 WHERE id BETWEEN 20 AND 100;
        <br />[     ]UPDATE enrollments SET year = 2015 WHERE id >= 20 OR id <= 100;
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>2. Selecione todas as consultas que retornam número de estudantes cujo primeiro nome é John</p>
    <img src="~/../Images/table_student.png" class="img-fluid" alt="200px">
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]SELECT COUNT(*) FROM student WHERE firstName = 'John';
        <br />[     ]SELECT COUNT(*) FROM student GROUP BY firstName HAVING firstName = 'John';
        <br />[     ]SELECT COUNT(firstName = 'John') FROM student;
        <br />[     ]SELECT COUNT(*) FROM student HAVING firstName = 'John';
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>3. Qual a declaração correta para inserir um novo dado em uma base?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]INSERT NEW
        <br />[     ]ADD RECORD
        <br />[     ]ADD NEW
        <br /><strong>[  x   ]INSERT INTO</strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>4. Com SQL, como selecionar uma coluna chamada “FirstName” de uma tabela chamada “Persons”?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]SELECT Persons.FirstName
        <br />[     ]EXTRACT FirstName FROM Persons
        <br /><strong>[  x   ]SELECT FirstName FROM Persons</strong>
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>5. Com SQL, como selecionar todos os registros de uma tabela chamada “Persons”, onde o valor da coluna “FirstName” começa com “a”?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        <strong>[ x    ]SELECT * FROM Persons WHERE FirstName LIKE 'a%'</strong>
        <br />[     ]SELECT * FROM Persons WHERE FirstName='a'
        <br />[     ]SELECT * FROM Persons WHERE FirstName='%a%'
        <br />[     ]SELECT * FROM Persons WHERE FirstName LIKE '%a'
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>6. Como você pode alterar os valores da coluna LastName “Hansen” para “Nilsen” na tabela “Persons”?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
              [     ]MODIFY Persons SET LastName='Hansen' INTO LastName='Nilsen
        <br /><strong>[    x ]UPDATE Persons SET LastName='Nilsen' WHERE LastName='Hansen'</strong>
        <br />[     ]UPDATE Persons SET LastName='Hansen' INTO LastName='Nilsen'
        <br />[     ]MODIFY Persons SET LastName='Nilsen' WHERE LastName='Hansen'
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>7.Com SQL, como você pode deletar os registros onde os valores da coluna FirstName são iguais a “Peter” na tabela “Persons”?</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
        [     ]DELETE ROW FirstName='Peter' FROM Persons
        <br /><strong>[   x  ]DELETE FROM Persons WHERE FirstName = 'Peter'</strong>
        <br />[     ]DELETE FirstName='Peter' FROM Persons
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>8. Para os exercícios abaixo, considere o diagrama do bd abaixo</p>
    <img src="~/Images/FastEscova/model.jpg" style="width: auto; height: auto;" />
</div>
<div style="margin-bottom: 20px;">
    <p>a)	Selecionar título, autor e data de lançamento dos livros em ordem de titulo</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">
      
    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>b)	Selecionar os livros lançados em 2011 ou 2012</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>c) Selecionar os livros que o título contenha a palavra "Redes"</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>d)	Selecionar título, nome do assunto e nº cópias dos livros</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>e)	Selecionar título e autor dos livros que o nome do assunto seja "Redes"</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>f)	Selecionar nome do assunto e nº de livros, agrupados por nome do assunto</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>g)	Alterar o nº de cópias, aumentando 2 unidades, dos livros com nº de cópias inferior a 10</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>h)	Selecionar título do livro, nome do aluno e data de retirada dos empréstimos</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>i)	Somar os valores das multas dos empréstimos dos livros retirados em 2013</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>
<div style="margin-bottom: 20px;">
    <p>j)	Inserir um novo aluno (via comando SQL)</p>
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef;">

    </div>
</div>

RestApiModeloDDD.Presentation/Views/FastEscova/RespostasTeoricas.cshtml
@{
    ViewData["Title"] = "Respostas do teste";
}
<h6>Parte teórica </h6>
<br />
<div style="margin-bottom: 20px;">
    <p>
        1. Escreva uma função que, dada uma lista e uma soma de destino, retorna índices baseados em zero de quaisquer dois elementos distintos cuja soma é igual à soma de destino. Se não existem tais elementos, a função deve retornar nulo.
        Por exemplo, <strong>FindTwoSum (new List< int>() {1, 3, 5, 7, 9}, 12) </strong>deve retornar qualquer das seguintes tuplas de índices:
    </p>
     1, 4  (3 + 9 = 12)
    <br /> 2, 3  (5 + 7 = 12)
    <br /> 3, 2  (7 + 5 = 12)
    <br />4, 1  (9 + 3 = 12)  
    <br />
    <div class="form-control" style="width: 600px; height: auto; background: #e9ecef; margin-top:20px;">
        using System;
        <br />usingSystem.Collections.Generic;
        <br />classTwoSum
        <br />{
        <br />&nbsp public static Tuple< int, int>FindTwoSum(IList< int> list, int sum)
        <br />&nbsp {
        <br />

        &nbsp resolução

        <br />  &nbsp  }
        <br />
        <br />public static void Main(string[] args)
        <br />{
        <br />&nbsp Tuple< int, int> indices = FindTwoSum(newList< int> () { 1, 3, 5, 7, 9 }, 12);
        <br />&nbsp Console.WriteLine(indices.Item1 + " " + indices.Item2);
        <br />    }
        <br />}

    </div>
</div>

RestApiModeloDDD.Presentation/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Olá</h1>
    <p>Esse projeto foi desenvolvido como teste de conhecimentos e conceitos.</p>
    <p>O código fonte está disponível <a href="https://gitlab.com/kamilla.rodrigues/RestApiModeloDDD" target="_blank">aqui</a>.</p>
</div>

RestApiModeloDDD.Presentation/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"]</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Empresa" asp-action="Index">Empresas</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FastEscova" asp-action="RespostasHTML">HTML</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FastEscova" asp-action="RespostasSQL">SQL</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FastEscova" asp-action="RespostasTeoricas">Teoria</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="FastEscova" asp-action="RespostasLogicas">Lógica</a>
                        </li>
                    </ul>                   
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; Código Fonte - <a href="https://gitlab.com/kamilla.rodrigues/RestApiModeloDDD" target="_blank"> GitLab</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>